package com.palmnest.service.virtProject.manager;

import com.palmnest.model.estateserve.VirtualAccount;
import com.palmnest.service.GenericManager;

import java.util.List;

public interface VirtualAccountManager extends GenericManager<VirtualAccount, Long> {

	/**
	 * 获取企业账号
	 *
	 * @param virId
	 * @return
	 */
	public List<VirtualAccount> getVirAccountByVirId(int virId);

	/**
	 * 获取无效的企业账号
	 *
	 * @param virId
	 * @return
	 */
	public List<VirtualAccount> getVirAccountByVirIdIsEnable(int virId);

	/**
	 * 根据账号及密码查找账号
	 *
	 * @param account
	 * @param password
	 * @return
	 */
	public List<VirtualAccount> getVirAccountByAccount(String orgId, String account, String password);

	VirtualAccount getVirtualAccountByName(String virAccount);

	public List<VirtualAccount> getVirAccByVirAndOrg(int virId, int orgId);
}
